%define libnamedev %mklibname %{name} -d

Name:           postgis
Version:        2.1.7
Release:        %mkrel 1
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            http://www.postgis.net
Source0:        http://download.osgeo.org/postgis/source/%{name}-%{version}.tar.gz
Patch0:		postgis-2.1.7-linkage.patch
BuildRequires: cunit-devel
BuildRequires: postgresql-devel >= 9.0
BuildRequires: proj
BuildRequires: proj-devel
BuildRequires: geos-devel
BuildRequires: flex
BuildRequires: byacc
BuildRequires: libxslt-proc
BuildRequires: bison
BuildRequires: libxml2-devel
BuildRequires: gdal-devel
BuildRequires: pkgconfig(json-c)

Requires:       postgresql-plpgsql >= 9.0
Requires:       postgresql-libs >= 9.0
Requires:       proj

%description
Geographic objects to the PostgreSQL object-relational database

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel

%description -n %{libnamedev}
Development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--datadir=%_datadir/postgis
%make

%install
%makeinstall_std
cp utils/postgis*.pl %buildroot/%_bindir
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%files
%doc COPYING README.postgis
%{_bindir}/*
%{_datadir}/*
%{_libdir}/liblwgeom-%{version}.so
%{_libdir}/postgresql/*.so

%files -n %{libnamedev}
%{_libdir}/liblwgeom.so
%{_includedir}/liblwgeom.h


%changelog
* Wed May 06 2015 philippem <philippem> 2.1.7-1.mga4
+ Revision: 821356
- update to 2.1.7, fix mga#15741

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 534263
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 2.1.0-2.mga4
+ Revision: 477057
- update file list

* Tue Sep 10 2013 fwang <fwang> 2.1.0-1.mga4
+ Revision: 477051
- update json-c include dir
- fix linkage
- new version 2.1.0
- enable static for liblwgeom
- rebuild for new postgresql

  + obgr_seneca <obgr_seneca>
    - new version 2.0.1

* Sun Jan 13 2013 umeabot <umeabot> 1.5.8-2.mga3
+ Revision: 378095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 1.5.8-1.mga3
+ Revision: 319098
- new version 1.5.8
- br postgre 9.2

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 1.5.3-7.mga3
+ Revision: 262119
- Rebuild against new geos

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 1.5.3-6.mga3
+ Revision: 254006
- Rebuild against new geos

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 1.5.3-5.mga2
+ Revision: 197247
- build against postgres 9.1
- rebuild for new libgeos

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-4.mga2
+ Revision: 162074
- fixed requires for 64bit systems

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-3.mga2
+ Revision: 162063
- rebuild against new geos
- changed BR and R so postgres9.0 is needed
-rebuild against new geos

* Sun Jun 26 2011 fwang <fwang> 1.5.3-1.mga2
+ Revision: 113836
- new version 1.5.3

* Wed Mar 30 2011 ennael <ennael> 1.5.2-2.mga1
+ Revision: 79099
- imported package postgis


* Wed Dec 22 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.5.2-1mdv2011.0
+ Revision: 623743
- Update to latest upstream release

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-2mdv2011.0
+ Revision: 614606
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Emmanuel Andry <eandry@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 541001
- Nw version 1.5.1

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2010.1
+ Revision: 504765
- BR pgsql 8.4 (main package)
- BR xml2
- New version 1.5.0

* Thu Dec 31 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 484259
- Disable parallel build
- Update to new version 1.4.1
- Remove literal patch: not needed anymore

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.6-1mdv2010.0
+ Revision: 440768
- Update to new version 1.3.6

* Wed Feb 18 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.5-1mdv2009.1
+ Revision: 342613
- Minor update 1.3.5

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-6mdv2009.0
+ Revision: 259240
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-5mdv2009.0
+ Revision: 247148
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3.2-3mdv2008.1
+ Revision: 191459
- Fix invalid library pointers in .sql files, leading postgis to be unable to handle functions.

* Fri Feb 15 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3.2-2mdv2008.1
+ Revision: 168979
- Adding "virtual" in requires of postgres pgplsql

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3.2-1mdv2008.1
+ Revision: 164980
- Update for stable version 1.3.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 24 2007 Helio Chissini de Castro <helio@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 71039
- Proper groups
- Right provides
- import postgis-1.3.1-1mdv2008.0


